Bug 7521 - Regression in Samba 3.4.x and 3.5.x: Permission denied on file deletion
Regression in Samba 3.4.x and 3.5.x: Permission denied on file deletion
Status: RESOLVED DUPLICATE of bug 1861
Product: Samba 3.4
Classification: Unclassified
Component: File services
3.4.8
x86 Linux
: P3 normal
: ---
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 16:59 UTC by Marc Schiffbauer
Modified: 2012-06-19 11:13 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Schiffbauer 2010-06-16 16:59:23 UTC
As it seems 3.4 and 3.5 series have a bug in the acl code or something when it comes to file deletion if a user only has group write permission.

This is my setup:

On one share there are several directories owned by different 
users.

The filesystem does NOT have posix acl or user_xattr enabled.

Samba is configured so that directory permission is always 0770 and file permission is always 0660: any user in the domain can do anything with the files and directories (all users have the same primary group which is the same as the file and dir group).

That worked very well until the upgrade. Before the upgrade users could do anything within the share: create, modify and delete files and directories.

Now after the upgrade delete operations on files do not work anymore until a user owns the parent directory or has world write access to
it (windows client (XP SP2) gets a permission denied error).
                 
This is strange because a user can still create files within a dir that he does not own, so this can only be permitted by group permission, but deleting the same file gives a permission denied.

share config:                 
--------------------------                                                      [userdata]
        comment = User Data
        path = /home/userdata
        read only = No
        create mode = 0660
        directory mode = 0770
        force create mode = 0660
        force directory mode = 0770
--------------------------        

filesystem:                                                                                                                                                                             
samba-server:/home/userdata/Temp# ls -la
total 68                    
drwxrwx---  4 jutta  domusr  4096 2010-06-13 19:28 . 
drwxrwxr-x 10 root   domusr  4096 2010-06-11 11:36 ..
-rw-rw----  1 anja   domusr 24064 2010-06-10 15:39 List.doc
-rw-rw----  1 anja   domusr     0 2010-06-12 14:32 List2.doc
drwxrwx---  2 jutta  domusr  4096 2010-06-12 02:47 New Folder
-rw-rw----  1 jutta  domusr 20480 2010-06-11 17:44 Rechnungen.doc
drwxrwx---  2 leonie domusr  8192 2010-05-31 21:20 Schriftarten
            
(here user2 cannot delete "Liste.doc" for example although he could create it)

Other Samba version I tested:
  * 3.5.3 has the same problem
  * 3.3.12 and 3.2.5 work just fine and allow deletion.

This is a debug log (log level = 10) using 3.4.8 when the error happens

Debug log follows.
Comment 1 Marc Schiffbauer 2010-06-16 17:04:54 UTC
[2010/06/16 23:55:30, 10] lib/util_sock.c:789(read_smb_length_return_keepalive)
  got smb length of 138
[2010/06/16 23:55:30,  6] smbd/process.c:1456(process_smb)
  got message type 0x0 of len 0x8a
[2010/06/16 23:55:30,  3] smbd/process.c:1459(process_smb)
  Transaction 2644 of length 142 (0 toread)
[2010/06/16 23:55:30,  5] lib/util.c:632(show_msg)
[2010/06/16 23:55:30,  5] lib/util.c:642(show_msg)
  size=138
  smb_com=0xa2
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=51207
  smb_tid=2
  smb_pid=3964
  smb_uid=100
  smb_mid=59904
  smt_wct=24
  smb_vwv[ 0]=  255 (0xFF)
  smb_vwv[ 1]=57054 (0xDEDE)
  smb_vwv[ 2]=13312 (0x3400)
  smb_vwv[ 3]= 4096 (0x1000)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=32768 (0x8000)
  smb_vwv[ 8]=  256 (0x100)
  smb_vwv[ 9]=    0 (0x0)
  smb_vwv[10]=    0 (0x0)
  smb_vwv[11]=    0 (0x0)
  smb_vwv[12]=    0 (0x0)
  smb_vwv[13]=    0 (0x0)
  smb_vwv[14]=    0 (0x0)
  smb_vwv[15]= 1792 (0x700)
  smb_vwv[16]=    0 (0x0)
  smb_vwv[17]=  256 (0x100)
  smb_vwv[18]=    0 (0x0)
  smb_vwv[19]=16384 (0x4000)
  smb_vwv[20]= 8192 (0x2000)
  smb_vwv[21]=  512 (0x200)
  smb_vwv[22]=    0 (0x0)
  smb_vwv[23]=    0 (0x0)
  smb_bcc=55
[2010/06/16 23:55:30, 10] ../lib/util/util.c:304(_dump_data)
  [0000] 00 5C 00 54 00 65 00 6D   00 70 00 5C 00 4E 00 65   .\.T.e.m .p.\.N.e
  [0010] 00 75 00 20 00 54 00 65   00 78 00 74 00 64 00 6F   .u. .T.e .x.t.d.o
  [0020] 00 6B 00 75 00 6D 00 65   00 6E 00 74 00 2E 00 74   .k.u.m.e .n.t...t
  [0030] 00 78 00 74 00 00 00                              .x.t... 
[2010/06/16 23:55:30,  3] smbd/process.c:1273(switch_message)
  switch message SMBntcreateX (pid 12985) conn 0xb8913c88
[2010/06/16 23:55:30,  4] smbd/uid.c:256(change_to_user)
  change_to_user: Skipping user change - already user
[2010/06/16 23:55:30, 10] smbd/nttrans.c:484(reply_ntcreate_and_X)
  reply_ntcreate_and_X: flags = 0x10, access_mask = 0x10080 file_attributes = 0x0, share_access = 0x7, create_disposition = 0x1 create_options = 0x200040 root_dir_fid = 0x0, fname = Temp/Neu Textdokument.txt
[2010/06/16 23:55:30, 10] smbd/open.c:3365(create_file_default)
  create_file: access_mask = 0x10080 file_attributes = 0x0, share_access = 0x7, create_disposition = 0x1 create_options = 0x200040 oplock_request = 0x0 root_dir_fid = 0x0, ea_list = 0x(nil), sd = 0x(nil), create_file_flags = 0x1, fname = Temp/Neu Textdokument.txt
[2010/06/16 23:55:30,  5] smbd/filename.c:148(unix_convert)
  unix_convert called on file "Temp/Neu Textdokument.txt"
[2010/06/16 23:55:30, 10] smbd/statcache.c:274(stat_cache_lookup)
  stat_cache_lookup: lookup succeeded for name [TEMP/NEU TEXTDOKUMENT.TXT] -> [Temp/Neu Textdokument.txt]
[2010/06/16 23:55:30,  3] smbd/vfs.c:865(check_reduced_name)
  reduce_name [Temp/Neu Textdokument.txt] [/home/user_data]
[2010/06/16 23:55:30, 10] smbd/vfs.c:937(check_reduced_name)
  reduce_name realpath [Temp/Neu Textdokument.txt] -> [/home/user_data/Temp/Neu Textdokument.txt]
[2010/06/16 23:55:30,  3] smbd/vfs.c:974(check_reduced_name)
  reduce_name: Temp/Neu Textdokument.txt reduced to /home/user_data/Temp/Neu Textdokument.txt
[2010/06/16 23:55:30, 10] smbd/open.c:2896(create_file_unixpath)
  create_file_unixpath: access_mask = 0x10080 file_attributes = 0x0, share_access = 0x7, create_disposition = 0x1 create_options = 0x200040 oplock_request = 0x0 ea_list = 0x(nil), sd = 0x(nil), fname = Temp/Neu Textdokument.txt
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:3372(posix_get_nt_acl)
  posix_get_nt_acl: called for file Temp
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:2522(canonicalise_acl)
  canonicalise_acl: Access ace entries before arrange :
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:2535(canonicalise_acl)
  canon_ace index 0. Type = allow SID = S-1-1-0 other SMB_ACL_OTHER ace_flags = 0x0 perms ---
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:2535(canonicalise_acl)
  canon_ace index 1. Type = allow SID = S-1-5-32-545 gid 1006 (domusr) SMB_ACL_GROUP_OBJ ace_flags = 0x0 perms rwx
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:2535(canonicalise_acl)
  canon_ace index 2. Type = allow SID = S-1-5-32-544 uid 1001 (jutta) SMB_ACL_USER_OBJ ace_flags = 0x0 perms rwx
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:838(print_canon_ace_list)
  print_canon_ace_list: canonicalise_acl: ace entries after arrange
  canon_ace index 0. Type = allow SID = S-1-5-32-544 uid 1001 (jutta) SMB_ACL_USER_OBJ ace_flags = 0x0 perms rwx
  canon_ace index 1. Type = allow SID = S-1-5-32-545 gid 1006 (domusr) SMB_ACL_GROUP_OBJ ace_flags = 0x0 perms rwx
  canon_ace index 2. Type = allow SID = S-1-1-0 other SMB_ACL_OTHER ace_flags = 0x0 perms ---
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:1116(map_canon_ace_perms)
  map_canon_ace_perms: Mapped (UNIX) 1c0 to (NT) 1f01ff
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:1116(map_canon_ace_perms)
  map_canon_ace_perms: Mapped (UNIX) 1c0 to (NT) 1f01ff
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:1116(map_canon_ace_perms)
  map_canon_ace_perms: Mapped (UNIX) 0 to (NT) 0
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:3045(add_or_replace_ace)
  Replacing ACE 1 with SID S-1-5-32-545 and flags 00
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:3007(merge_default_aces)
  merge_default_aces: Merging ACE 3 onto ACE 1.
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:3372(posix_get_nt_acl)
  posix_get_nt_acl: called for file Temp/Neu Textdokument.txt
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:2522(canonicalise_acl)
  canonicalise_acl: Access ace entries before arrange :
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:2535(canonicalise_acl)
  canon_ace index 0. Type = allow SID = S-1-1-0 other SMB_ACL_OTHER ace_flags = 0x0 perms ---
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:2535(canonicalise_acl)
  canon_ace index 1. Type = allow SID = S-1-5-32-545 gid 1006 (domusr) SMB_ACL_GROUP_OBJ ace_flags = 0x0 perms rw-
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:2535(canonicalise_acl)
  canon_ace index 2. Type = allow SID = S-1-5-32-544 uid 1010 (anja) SMB_ACL_USER_OBJ ace_flags = 0x0 perms rw-
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:838(print_canon_ace_list)
  print_canon_ace_list: canonicalise_acl: ace entries after arrange
  canon_ace index 0. Type = allow SID = S-1-5-32-544 uid 1010 (anja) SMB_ACL_USER_OBJ ace_flags = 0x0 perms rw-
  canon_ace index 1. Type = allow SID = S-1-5-32-545 gid 1006 (domusr) SMB_ACL_GROUP_OBJ ace_flags = 0x0 perms rw-
  canon_ace index 2. Type = allow SID = S-1-1-0 other SMB_ACL_OTHER ace_flags = 0x0 perms ---
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:1116(map_canon_ace_perms)
  map_canon_ace_perms: Mapped (UNIX) 180 to (NT) 12019f
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:1116(map_canon_ace_perms)
  map_canon_ace_perms: Mapped (UNIX) 180 to (NT) 12019f
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:1116(map_canon_ace_perms)
  map_canon_ace_perms: Mapped (UNIX) 0 to (NT) 0
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:3045(add_or_replace_ace)
  Replacing ACE 1 with SID S-1-5-32-545 and flags 00
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:3007(merge_default_aces)
  merge_default_aces: Merging ACE 3 onto ACE 1.
[2010/06/16 23:55:30, 10] smbd/open.c:2952(create_file_unixpath)
  create_file_unixpath: open file Temp/Neu Textdokument.txt for delete ACCESS_DENIED
[2010/06/16 23:55:30, 10] smbd/open.c:3218(create_file_unixpath)
  create_file_unixpath: NT_STATUS_ACCESS_DENIED
[2010/06/16 23:55:30, 10] smbd/open.c:3497(create_file_default)
  create_file: NT_STATUS_ACCESS_DENIED
[2010/06/16 23:55:30,  3] smbd/error.c:60(error_packet_set)
  error packet at smbd/nttrans.c(563) cmd=162 (SMBntcreateX) NT_STATUS_ACCESS_DENIED
[2010/06/16 23:55:30,  5] lib/util.c:632(show_msg)
[2010/06/16 23:55:30,  5] lib/util.c:642(show_msg)
  size=35
  smb_com=0xa2
  smb_rcls=34
  smb_reh=0
  smb_err=49152
  smb_flg=136
  smb_flg2=51201
  smb_tid=2
  smb_pid=3964
  smb_uid=100
  smb_mid=59904
  smt_wct=0
  smb_bcc=0
[2010/06/16 23:55:30, 10] lib/util_sock.c:789(read_smb_length_return_keepalive)
  got smb length of 138
[2010/06/16 23:55:30,  6] smbd/process.c:1456(process_smb)
  got message type 0x0 of len 0x8a
[2010/06/16 23:55:30,  3] smbd/process.c:1459(process_smb)
  Transaction 2645 of length 142 (0 toread)
[2010/06/16 23:55:30,  5] lib/util.c:632(show_msg)
[2010/06/16 23:55:30,  5] lib/util.c:642(show_msg)
  size=138
  smb_com=0xa2
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=51207
  smb_tid=2
  smb_pid=3964
  smb_uid=100
  smb_mid=59968
  smt_wct=24
  smb_vwv[ 0]=  255 (0xFF)
  smb_vwv[ 1]=57054 (0xDEDE)
  smb_vwv[ 2]=13312 (0x3400)
  smb_vwv[ 3]= 4096 (0x1000)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=    0 (0x0)
  smb_vwv[ 8]=  256 (0x100)
  smb_vwv[ 9]=    0 (0x0)
  smb_vwv[10]=    0 (0x0)
  smb_vwv[11]=    0 (0x0)
  smb_vwv[12]=    0 (0x0)
  smb_vwv[13]=    0 (0x0)
  smb_vwv[14]=    0 (0x0)
  smb_vwv[15]= 1792 (0x700)
  smb_vwv[16]=    0 (0x0)
  smb_vwv[17]=  256 (0x100)
  smb_vwv[18]=    0 (0x0)
  smb_vwv[19]=16384 (0x4000)
  smb_vwv[20]= 8192 (0x2000)
  smb_vwv[21]=  512 (0x200)
  smb_vwv[22]=    0 (0x0)
  smb_vwv[23]=    0 (0x0)
  smb_bcc=55
[2010/06/16 23:55:30, 10] ../lib/util/util.c:304(_dump_data)
  [0000] 00 5C 00 54 00 65 00 6D   00 70 00 5C 00 4E 00 65   .\.T.e.m .p.\.N.e
  [0010] 00 75 00 20 00 54 00 65   00 78 00 74 00 64 00 6F   .u. .T.e .x.t.d.o
  [0020] 00 6B 00 75 00 6D 00 65   00 6E 00 74 00 2E 00 74   .k.u.m.e .n.t...t
  [0030] 00 78 00 74 00 00 00                              .x.t... 
[2010/06/16 23:55:30,  3] smbd/process.c:1273(switch_message)
  switch message SMBntcreateX (pid 12985) conn 0xb8913c88
[2010/06/16 23:55:30,  4] smbd/uid.c:256(change_to_user)
  change_to_user: Skipping user change - already user
[2010/06/16 23:55:30, 10] smbd/nttrans.c:484(reply_ntcreate_and_X)
  reply_ntcreate_and_X: flags = 0x10, access_mask = 0x10000 file_attributes = 0x0, share_access = 0x7, create_disposition = 0x1 create_options = 0x200040 root_dir_fid = 0x0, fname = Temp/Neu Textdokument.txt
[2010/06/16 23:55:30, 10] smbd/open.c:3365(create_file_default)
  create_file: access_mask = 0x10000 file_attributes = 0x0, share_access = 0x7, create_disposition = 0x1 create_options = 0x200040 oplock_request = 0x0 root_dir_fid = 0x0, ea_list = 0x(nil), sd = 0x(nil), create_file_flags = 0x1, fname = Temp/Neu Textdokument.txt
[2010/06/16 23:55:30,  5] smbd/filename.c:148(unix_convert)
  unix_convert called on file "Temp/Neu Textdokument.txt"
[2010/06/16 23:55:30, 10] smbd/statcache.c:274(stat_cache_lookup)
  stat_cache_lookup: lookup succeeded for name [TEMP/NEU TEXTDOKUMENT.TXT] -> [Temp/Neu Textdokument.txt]
[2010/06/16 23:55:30,  3] smbd/vfs.c:865(check_reduced_name)
  reduce_name [Temp/Neu Textdokument.txt] [/home/user_data]
[2010/06/16 23:55:30, 10] smbd/vfs.c:937(check_reduced_name)
  reduce_name realpath [Temp/Neu Textdokument.txt] -> [/home/user_data/Temp/Neu Textdokument.txt]
[2010/06/16 23:55:30,  3] smbd/vfs.c:974(check_reduced_name)
  reduce_name: Temp/Neu Textdokument.txt reduced to /home/user_data/Temp/Neu Textdokument.txt
[2010/06/16 23:55:30, 10] smbd/open.c:2896(create_file_unixpath)
  create_file_unixpath: access_mask = 0x10000 file_attributes = 0x0, share_access = 0x7, create_disposition = 0x1 create_options = 0x200040 oplock_request = 0x0 ea_list = 0x(nil), sd = 0x(nil), fname = Temp/Neu Textdokument.txt
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:3372(posix_get_nt_acl)
  posix_get_nt_acl: called for file Temp
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:2522(canonicalise_acl)
  canonicalise_acl: Access ace entries before arrange :
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:2535(canonicalise_acl)
  canon_ace index 0. Type = allow SID = S-1-1-0 other SMB_ACL_OTHER ace_flags = 0x0 perms ---
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:2535(canonicalise_acl)
  canon_ace index 1. Type = allow SID = S-1-5-32-545 gid 1006 (domusr) SMB_ACL_GROUP_OBJ ace_flags = 0x0 perms rwx
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:2535(canonicalise_acl)
  canon_ace index 2. Type = allow SID = S-1-5-32-544 uid 1001 (jutta) SMB_ACL_USER_OBJ ace_flags = 0x0 perms rwx
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:838(print_canon_ace_list)
  print_canon_ace_list: canonicalise_acl: ace entries after arrange
  canon_ace index 0. Type = allow SID = S-1-5-32-544 uid 1001 (jutta) SMB_ACL_USER_OBJ ace_flags = 0x0 perms rwx
  canon_ace index 1. Type = allow SID = S-1-5-32-545 gid 1006 (domusr) SMB_ACL_GROUP_OBJ ace_flags = 0x0 perms rwx
  canon_ace index 2. Type = allow SID = S-1-1-0 other SMB_ACL_OTHER ace_flags = 0x0 perms ---
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:1116(map_canon_ace_perms)
  map_canon_ace_perms: Mapped (UNIX) 1c0 to (NT) 1f01ff
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:1116(map_canon_ace_perms)
  map_canon_ace_perms: Mapped (UNIX) 1c0 to (NT) 1f01ff
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:1116(map_canon_ace_perms)
  map_canon_ace_perms: Mapped (UNIX) 0 to (NT) 0
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:3045(add_or_replace_ace)
  Replacing ACE 1 with SID S-1-5-32-545 and flags 00
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:3007(merge_default_aces)
  merge_default_aces: Merging ACE 3 onto ACE 1.
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:3372(posix_get_nt_acl)
  posix_get_nt_acl: called for file Temp/Neu Textdokument.txt
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:2522(canonicalise_acl)
  canonicalise_acl: Access ace entries before arrange :
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:2535(canonicalise_acl)
  canon_ace index 0. Type = allow SID = S-1-1-0 other SMB_ACL_OTHER ace_flags = 0x0 perms ---
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:2535(canonicalise_acl)
  canon_ace index 1. Type = allow SID = S-1-5-32-545 gid 1006 (domusr) SMB_ACL_GROUP_OBJ ace_flags = 0x0 perms rw-
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:2535(canonicalise_acl)
  canon_ace index 2. Type = allow SID = S-1-5-32-544 uid 1010 (anja) SMB_ACL_USER_OBJ ace_flags = 0x0 perms rw-
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:838(print_canon_ace_list)
  print_canon_ace_list: canonicalise_acl: ace entries after arrange
  canon_ace index 0. Type = allow SID = S-1-5-32-544 uid 1010 (anja) SMB_ACL_USER_OBJ ace_flags = 0x0 perms rw-
  canon_ace index 1. Type = allow SID = S-1-5-32-545 gid 1006 (domusr) SMB_ACL_GROUP_OBJ ace_flags = 0x0 perms rw-
  canon_ace index 2. Type = allow SID = S-1-1-0 other SMB_ACL_OTHER ace_flags = 0x0 perms ---
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:1116(map_canon_ace_perms)
  map_canon_ace_perms: Mapped (UNIX) 180 to (NT) 12019f
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:1116(map_canon_ace_perms)
  map_canon_ace_perms: Mapped (UNIX) 180 to (NT) 12019f
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:1116(map_canon_ace_perms)
  map_canon_ace_perms: Mapped (UNIX) 0 to (NT) 0
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:3045(add_or_replace_ace)
  Replacing ACE 1 with SID S-1-5-32-545 and flags 00
[2010/06/16 23:55:30, 10] smbd/posix_acls.c:3007(merge_default_aces)
  merge_default_aces: Merging ACE 3 onto ACE 1.
[2010/06/16 23:55:30, 10] smbd/open.c:2952(create_file_unixpath)
  create_file_unixpath: open file Temp/Neu Textdokument.txt for delete ACCESS_DENIED
[2010/06/16 23:55:30, 10] smbd/open.c:3218(create_file_unixpath)
  create_file_unixpath: NT_STATUS_ACCESS_DENIED
[2010/06/16 23:55:30, 10] smbd/open.c:3497(create_file_default)
  create_file: NT_STATUS_ACCESS_DENIED
[2010/06/16 23:55:30,  3] smbd/error.c:60(error_packet_set)
  error packet at smbd/nttrans.c(563) cmd=162 (SMBntcreateX) NT_STATUS_ACCESS_DENIED
[2010/06/16 23:55:30,  5] lib/util.c:632(show_msg)
[2010/06/16 23:55:30,  5] lib/util.c:642(show_msg)
  size=35
  smb_com=0xa2
  smb_rcls=34
  smb_reh=0
  smb_err=49152
  smb_flg=136
  smb_flg2=51201
  smb_tid=2
  smb_pid=3964
  smb_uid=100
  smb_mid=59968
  smt_wct=0
  smb_bcc=0
[2010/06/16 23:55:30, 10] lib/util_sock.c:789(read_smb_length_return_keepalive)
  got smb length of 128
[2010/06/16 23:55:30,  6] smbd/process.c:1456(process_smb)
  got message type 0x0 of len 0x80
[2010/06/16 23:55:30,  3] smbd/process.c:1459(process_smb)
  Transaction 2646 of length 132 (0 toread)
[2010/06/16 23:55:30,  5] lib/util.c:632(show_msg)
[2010/06/16 23:55:30,  5] lib/util.c:642(show_msg)
  size=128
  smb_com=0x32
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=51207
  smb_tid=2
  smb_pid=3964
  smb_uid=100
  smb_mid=60032
  smt_wct=15
  smb_vwv[ 0]=   60 (0x3C)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=    2 (0x2)
  smb_vwv[ 3]=   40 (0x28)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=    0 (0x0)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=   60 (0x3C)
  smb_vwv[10]=   68 (0x44)
  smb_vwv[11]=    0 (0x0)
  smb_vwv[12]=    0 (0x0)
  smb_vwv[13]=    1 (0x1)
  smb_vwv[14]=    5 (0x5)
  smb_bcc=63
[2010/06/16 23:55:30, 10] ../lib/util/util.c:304(_dump_data)
  [0000] 00 00 00 EC 03 00 00 00   00 5C 00 54 00 65 00 6D   ...�.... .\.T.e.m
  [0010] 00 70 00 5C 00 4E 00 65   00 75 00 20 00 54 00 65   .p.\.N.e .u. .T.e
  [0020] 00 78 00 74 00 64 00 6F   00 6B 00 75 00 6D 00 65   .x.t.d.o .k.u.m.e
  [0030] 00 6E 00 74 00 2E 00 74   00 78 00 74 00 00 00     .n.t...t .x.t...
[2010/06/16 23:55:30,  3] smbd/process.c:1273(switch_message)
  switch message SMBtrans2 (pid 12985) conn 0xb8913c88
[2010/06/16 23:55:30,  4] smbd/uid.c:256(change_to_user)
  change_to_user: Skipping user change - already user
[2010/06/16 23:55:30,  3] smbd/trans2.c:3956(call_trans2qfilepathinfo)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 1004
[2010/06/16 23:55:30,  5] smbd/filename.c:148(unix_convert)
  unix_convert called on file "Temp/Neu Textdokument.txt"
[2010/06/16 23:55:30, 10] smbd/statcache.c:274(stat_cache_lookup)
  stat_cache_lookup: lookup succeeded for name [TEMP/NEU TEXTDOKUMENT.TXT] -> [Temp/Neu Textdokument.txt]
[2010/06/16 23:55:30,  3] smbd/vfs.c:865(check_reduced_name)
  reduce_name [Temp/Neu Textdokument.txt] [/home/user_data]
[2010/06/16 23:55:30, 10] smbd/vfs.c:937(check_reduced_name)
  reduce_name realpath [Temp/Neu Textdokument.txt] -> [/home/user_data/Temp/Neu Textdokument.txt]
[2010/06/16 23:55:30,  3] smbd/vfs.c:974(check_reduced_name)
  reduce_name: Temp/Neu Textdokument.txt reduced to /home/user_data/Temp/Neu Textdokument.txt
[2010/06/16 23:55:30, 10] locking/locking.c:891(fetch_share_mode_unlocked)
  fetch_share_mode_unlocked: no share_mode record around (file not open)
[2010/06/16 23:55:30,  3] smbd/trans2.c:4070(call_trans2qfilepathinfo)
  call_trans2qfilepathinfo Temp/Neu Textdokument.txt (fnum = -1) level=1004 call=5 total_data=0
[2010/06/16 23:55:30,  8] smbd/dosmode.c:494(dos_mode)
  dos_mode: Temp/Neu Textdokument.txt
[2010/06/16 23:55:30,  8] smbd/dosmode.c:189(dos_mode_from_sbuf)
  dos_mode_from_sbuf returning 
[2010/06/16 23:55:30,  8] smbd/dosmode.c:547(dos_mode)
  dos_mode returning 
[2010/06/16 23:55:30, 10] smbd/trans2.c:4310(call_trans2qfilepathinfo)
  call_trans2qfilepathinfo: SMB_FILE_BASIC_INFORMATION
[2010/06/16 23:55:30,  5] smbd/trans2.c:4320(call_trans2qfilepathinfo)
  SMB_QFBI - create: Wed Jun 16 23:54:41 2010
   access: Wed Jun 16 23:54:41 2010
   write: Wed Jun 16 23:54:41 2010
   change: Wed Jun 16 23:54:41 2010
   mode: 80
[2010/06/16 23:55:30,  9] smbd/trans2.c:820(send_trans2_replies)
  t2_rep: params_sent_thistime = 2, data_sent_thistime = 40, useable_space = 131010
[2010/06/16 23:55:30,  9] smbd/trans2.c:822(send_trans2_replies)
  t2_rep: params_to_send = 2, data_to_send = 40, paramsize = 2, datasize = 40
[2010/06/16 23:55:30,  5] lib/util.c:632(show_msg)
[2010/06/16 23:55:30,  5] lib/util.c:642(show_msg)
  size=100
  smb_com=0x32
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=51201
  smb_tid=2
  smb_pid=3964
  smb_uid=100
  smb_mid=60032
  smt_wct=10
  smb_vwv[ 0]=    2 (0x2)
  smb_vwv[ 1]=   40 (0x28)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    2 (0x2)
  smb_vwv[ 4]=   56 (0x38)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=   40 (0x28)
  smb_vwv[ 7]=   60 (0x3C)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_bcc=45
[2010/06/16 23:55:30, 10] ../lib/util/util.c:304(_dump_data)
  [0000] 00 00 00 00 00 80 E6 BD   85 9E 0D CB 01 80 E6 BD   ......�� ...�..��
  [0010] 85 9E 0D CB 01 80 E6 BD   85 9E 0D CB 01 80 E6 BD   ...�..�� ...�..��
  [0020] 85 9E 0D CB 01 80 00 00   00 00 00 00 00           ...�.... .....
[2010/06/16 23:55:30, 10] lib/util_sock.c:789(read_smb_length_return_keepalive)
  got smb length of 128
[2010/06/16 23:55:30,  6] smbd/process.c:1456(process_smb)
  got message type 0x0 of len 0x80
[2010/06/16 23:55:30,  3] smbd/process.c:1459(process_smb)
  Transaction 2647 of length 132 (0 toread)
[2010/06/16 23:55:30,  5] lib/util.c:632(show_msg)
[2010/06/16 23:55:30,  5] lib/util.c:642(show_msg)
  size=128
  smb_com=0x32
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=51207
  smb_tid=2
  smb_pid=3964
  smb_uid=100
  smb_mid=60096
  smt_wct=15
  smb_vwv[ 0]=   60 (0x3C)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=    2 (0x2)
  smb_vwv[ 3]=   40 (0x28)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=    0 (0x0)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=   60 (0x3C)
  smb_vwv[10]=   68 (0x44)
  smb_vwv[11]=    0 (0x0)
  smb_vwv[12]=    0 (0x0)
  smb_vwv[13]=    1 (0x1)
  smb_vwv[14]=    5 (0x5)
  smb_bcc=63
[2010/06/16 23:55:30, 10] ../lib/util/util.c:304(_dump_data)
  [0000] 00 00 00 EC 03 00 00 00   00 5C 00 54 00 65 00 6D   ...�.... .\.T.e.m
  [0010] 00 70 00 5C 00 4E 00 65   00 75 00 20 00 54 00 65   .p.\.N.e .u. .T.e
  [0020] 00 78 00 74 00 64 00 6F   00 6B 00 75 00 6D 00 65   .x.t.d.o .k.u.m.e
  [0030] 00 6E 00 74 00 2E 00 74   00 78 00 74 00 00 00     .n.t...t .x.t...
[2010/06/16 23:55:30,  3] smbd/process.c:1273(switch_message)
  switch message SMBtrans2 (pid 12985) conn 0xb8913c88
[2010/06/16 23:55:30,  4] smbd/uid.c:256(change_to_user)
  change_to_user: Skipping user change - already user
[2010/06/16 23:55:30,  3] smbd/trans2.c:3956(call_trans2qfilepathinfo)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 1004
[2010/06/16 23:55:30,  5] smbd/filename.c:148(unix_convert)
  unix_convert called on file "Temp/Neu Textdokument.txt"
[2010/06/16 23:55:30, 10] smbd/statcache.c:274(stat_cache_lookup)
  stat_cache_lookup: lookup succeeded for name [TEMP/NEU TEXTDOKUMENT.TXT] -> [Temp/Neu Textdokument.txt]
[2010/06/16 23:55:30,  3] smbd/vfs.c:865(check_reduced_name)
  reduce_name [Temp/Neu Textdokument.txt] [/home/user_data]
[2010/06/16 23:55:30, 10] smbd/vfs.c:937(check_reduced_name)
  reduce_name realpath [Temp/Neu Textdokument.txt] -> [/home/user_data/Temp/Neu Textdokument.txt]
[2010/06/16 23:55:30,  3] smbd/vfs.c:974(check_reduced_name)
  reduce_name: Temp/Neu Textdokument.txt reduced to /home/user_data/Temp/Neu Textdokument.txt
[2010/06/16 23:55:30, 10] locking/locking.c:891(fetch_share_mode_unlocked)
  fetch_share_mode_unlocked: no share_mode record around (file not open)
[2010/06/16 23:55:30,  3] smbd/trans2.c:4070(call_trans2qfilepathinfo)
  call_trans2qfilepathinfo Temp/Neu Textdokument.txt (fnum = -1) level=1004 call=5 total_data=0
[2010/06/16 23:55:30,  8] smbd/dosmode.c:494(dos_mode)
  dos_mode: Temp/Neu Textdokument.txt
[2010/06/16 23:55:30,  8] smbd/dosmode.c:189(dos_mode_from_sbuf)
  dos_mode_from_sbuf returning 
[2010/06/16 23:55:30,  8] smbd/dosmode.c:547(dos_mode)
  dos_mode returning 
[2010/06/16 23:55:30, 10] smbd/trans2.c:4310(call_trans2qfilepathinfo)
  call_trans2qfilepathinfo: SMB_FILE_BASIC_INFORMATION
[2010/06/16 23:55:30,  5] smbd/trans2.c:4320(call_trans2qfilepathinfo)
  SMB_QFBI - create: Wed Jun 16 23:54:41 2010
   access: Wed Jun 16 23:54:41 2010
   write: Wed Jun 16 23:54:41 2010
   change: Wed Jun 16 23:54:41 2010
   mode: 80
[2010/06/16 23:55:30,  9] smbd/trans2.c:820(send_trans2_replies)
  t2_rep: params_sent_thistime = 2, data_sent_thistime = 40, useable_space = 131010
[2010/06/16 23:55:30,  9] smbd/trans2.c:822(send_trans2_replies)
  t2_rep: params_to_send = 2, data_to_send = 40, paramsize = 2, datasize = 40
[2010/06/16 23:55:30,  5] lib/util.c:632(show_msg)
[2010/06/16 23:55:30,  5] lib/util.c:642(show_msg)
  size=100
  smb_com=0x32
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=51201
  smb_tid=2
  smb_pid=3964
  smb_uid=100
  smb_mid=60096
  smt_wct=10
  smb_vwv[ 0]=    2 (0x2)
  smb_vwv[ 1]=   40 (0x28)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    2 (0x2)
  smb_vwv[ 4]=   56 (0x38)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=   40 (0x28)
  smb_vwv[ 7]=   60 (0x3C)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_bcc=45
[2010/06/16 23:55:30, 10] ../lib/util/util.c:304(_dump_data)
  [0000] 00 00 00 00 00 80 E6 BD   85 9E 0D CB 01 80 E6 BD   ......�� ...�..��
  [0010] 85 9E 0D CB 01 80 E6 BD   85 9E 0D CB 01 80 E6 BD   ...�..�� ...�..��
  [0020] 85 9E 0D CB 01 80 00 00   00 00 00 00 00           ...�.... .....
[2010/06/16 23:55:30, 10] lib/util_sock.c:789(read_smb_length_return_keepalive)
  got smb length of 76
[2010/06/16 23:55:30,  6] smbd/process.c:1456(process_smb)
  got message type 0x0 of len 0x4c
[2010/06/16 23:55:30,  3] smbd/process.c:1459(process_smb)
  Transaction 2648 of length 80 (0 toread)
[2010/06/16 23:55:30,  5] lib/util.c:632(show_msg)
[2010/06/16 23:55:30,  5] lib/util.c:642(show_msg)
  size=76
  smb_com=0x32
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=51207
  smb_tid=2
  smb_pid=3964
  smb_uid=100
  smb_mid=60160
  smt_wct=15
  smb_vwv[ 0]=    8 (0x8)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=    2 (0x2)
  smb_vwv[ 3]=   40 (0x28)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=    0 (0x0)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    8 (0x8)
  smb_vwv[10]=   68 (0x44)
  smb_vwv[11]=    0 (0x0)
  smb_vwv[12]=    0 (0x0)
  smb_vwv[13]=    1 (0x1)
  smb_vwv[14]=    5 (0x5)
  smb_bcc=11
[2010/06/16 23:55:30, 10] ../lib/util/util.c:304(_dump_data)
  [0000] 00 00 00 EC 03 00 00 00   00 00 00                 ...�.... ...
[2010/06/16 23:55:30,  3] smbd/process.c:1273(switch_message)
  switch message SMBtrans2 (pid 12985) conn 0xb8913c88
[2010/06/16 23:55:30,  4] smbd/uid.c:256(change_to_user)
  change_to_user: Skipping user change - already user
[2010/06/16 23:55:30,  3] smbd/trans2.c:3956(call_trans2qfilepathinfo)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 1004
[2010/06/16 23:55:30,  5] smbd/filename.c:148(unix_convert)
  unix_convert called on file ""
[2010/06/16 23:55:30,  5] smbd/filename.c:181(unix_convert)
  conversion finished "" -> .
[2010/06/16 23:55:30,  3] smbd/vfs.c:865(check_reduced_name)
  reduce_name [.] [/home/user_data]
[2010/06/16 23:55:30, 10] smbd/vfs.c:937(check_reduced_name)
  reduce_name realpath [.] -> [/home/user_data]
[2010/06/16 23:55:30,  3] smbd/vfs.c:974(check_reduced_name)
  reduce_name: . reduced to /home/user_data
[2010/06/16 23:55:30, 10] locking/locking.c:891(fetch_share_mode_unlocked)
  fetch_share_mode_unlocked: no share_mode record around (file not open)
[2010/06/16 23:55:30,  3] smbd/trans2.c:4070(call_trans2qfilepathinfo)
  call_trans2qfilepathinfo . (fnum = -1) level=1004 call=5 total_data=0
[2010/06/16 23:55:30,  8] smbd/dosmode.c:494(dos_mode)
  dos_mode: .
[2010/06/16 23:55:30,  8] smbd/dosmode.c:189(dos_mode_from_sbuf)
  dos_mode_from_sbuf returning d
[2010/06/16 23:55:30,  8] smbd/dosmode.c:547(dos_mode)
  dos_mode returning d
[2010/06/16 23:55:30, 10] smbd/trans2.c:4310(call_trans2qfilepathinfo)
  call_trans2qfilepathinfo: SMB_FILE_BASIC_INFORMATION
[2010/06/16 23:55:30,  5] smbd/trans2.c:4320(call_trans2qfilepathinfo)
  SMB_QFBI - create: Fri Jun 11 11:36:09 2010
   access: Wed Jun 16 23:55:09 2010
   write: Fri Jun 11 11:36:09 2010
   change: Fri Jun 11 11:36:09 2010
   mode: 10
[2010/06/16 23:55:30,  9] smbd/trans2.c:820(send_trans2_replies)
  t2_rep: params_sent_thistime = 2, data_sent_thistime = 40, useable_space = 131010
[2010/06/16 23:55:30,  9] smbd/trans2.c:822(send_trans2_replies)
  t2_rep: params_to_send = 2, data_to_send = 40, paramsize = 2, datasize = 40
[2010/06/16 23:55:30,  5] lib/util.c:632(show_msg)
[2010/06/16 23:55:30,  5] lib/util.c:642(show_msg)
  size=100
  smb_com=0x32
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=51201
  smb_tid=2
  smb_pid=3964
  smb_uid=100
  smb_mid=60160
  smt_wct=10
  smb_vwv[ 0]=    2 (0x2)
  smb_vwv[ 1]=   40 (0x28)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    2 (0x2)
  smb_vwv[ 4]=   56 (0x38)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=   40 (0x28)
  smb_vwv[ 7]=   60 (0x3C)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_bcc=45
[2010/06/16 23:55:30, 10] ../lib/util/util.c:304(_dump_data)
  [0000] 00 00 00 00 00 80 8A AA   85 49 09 CB 01 80 5C 6E   .......� .I.�..\n
  [0010] 96 9E 0D CB 01 80 8A AA   85 49 09 CB 01 80 8A AA   ...�...� .I.�...�
  [0020] 85 49 09 CB 01 10 00 00   00 00 00 00 00           .I.�.... .....
[2010/06/16 23:55:30,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/06/16 23:55:30,  5] auth/token_util.c:522(debug_nt_user_token)
  NT user token: (NULL)
[2010/06/16 23:55:30,  5] auth/token_util.c:548(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/06/16 23:55:30,  5] smbd/uid.c:368(change_to_root_user)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2010/06/16 23:55:30, 10] lib/util_sock.c:789(read_smb_length_return_keepalive)
  got smb length of 70
[2010/06/16 23:55:30,  6] smbd/process.c:1456(process_smb)
  got message type 0x0 of len 0x46
[2010/06/16 23:55:30,  3] smbd/process.c:1459(process_smb)
  Transaction 2649 of length 74 (0 toread)
[2010/06/16 23:55:30,  5] lib/util.c:632(show_msg)
[2010/06/16 23:55:30,  5] lib/util.c:642(show_msg)
  size=70
  smb_com=0x32
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=51207
  smb_tid=2
  smb_pid=3964
  smb_uid=100
  smb_mid=60224
  smt_wct=15
  smb_vwv[ 0]=    2 (0x2)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=  560 (0x230)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=    0 (0x0)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    2 (0x2)
  smb_vwv[10]=   68 (0x44)
  smb_vwv[11]=    0 (0x0)
  smb_vwv[12]=    0 (0x0)
  smb_vwv[13]=    1 (0x1)
  smb_vwv[14]=    3 (0x3)
  smb_bcc=5
[2010/06/16 23:55:30, 10] ../lib/util/util.c:304(_dump_data)
  [0000] 00 00 00 02 01                                    ..... 
[2010/06/16 23:55:30,  3] smbd/process.c:1273(switch_message)
  switch message SMBtrans2 (pid 12985) conn 0xb8913c88
[2010/06/16 23:55:30,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (1010, 1006) - sec_ctx_stack_ndx = 0
[2010/06/16 23:55:30,  5] auth/token_util.c:528(debug_nt_user_token)
  NT user token of user S-1-5-21-623575250-3528882096-2388268162-3020
  contains 11 SIDs
  SID[  0]: S-1-5-21-623575250-3528882096-2388268162-3020
  SID[  1]: S-1-5-21-623575250-3528882096-2388268162-513
  SID[  2]: S-1-1-0
  SID[  3]: S-1-5-2
  SID[  4]: S-1-5-11
  SID[  5]: S-1-5-21-623575250-3528882096-2388268162-3017
  SID[  6]: S-1-5-32-550
  SID[  7]: S-1-22-1-1010
  SID[  8]: S-1-22-2-1006
  SID[  9]: S-1-22-2-1004
  SID[ 10]: S-1-22-2-1009
  SE_PRIV  0x20 0x0 0x0 0x0
[2010/06/16 23:55:30,  5] auth/token_util.c:548(debug_unix_user_token)
  UNIX token of user 1010
  Primary group is 1006 and contains 3 supplementary groups
  Group[  0]: 1006
  Group[  1]: 1004
  Group[  2]: 1009
[2010/06/16 23:55:30,  5] smbd/uid.c:353(change_to_user)
  change_to_user uid=(0,1010) gid=(0,1006)
[2010/06/16 23:55:30,  3] smbd/trans2.c:2600(call_trans2qfsinfo)
  call_trans2qfsinfo: level = 258
[2010/06/16 23:55:30,  5] smbd/trans2.c:2739(call_trans2qfsinfo)
  call_trans2qfsinfo : SMB_QUERY_FS_VOLUME_INFO namelen = 8, vol=XXXXX serv=XXXXX
[2010/06/16 23:55:30,  9] smbd/trans2.c:820(send_trans2_replies)
  t2_rep: params_sent_thistime = 0, data_sent_thistime = 34, useable_space = 131012
[2010/06/16 23:55:30,  9] smbd/trans2.c:822(send_trans2_replies)
  t2_rep: params_to_send = 0, data_to_send = 34, paramsize = 0, datasize = 34
[2010/06/16 23:55:30,  5] lib/util.c:632(show_msg)
[2010/06/16 23:55:30,  5] lib/util.c:642(show_msg)
  size=90
  smb_com=0x32
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=51201
  smb_tid=2
  smb_pid=3964
  smb_uid=100
  smb_mid=60224
  smt_wct=10
  smb_vwv[ 0]=    0 (0x0)
  smb_vwv[ 1]=   34 (0x22)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    0 (0x0)
  smb_vwv[ 4]=   56 (0x38)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=   34 (0x22)
  smb_vwv[ 7]=   56 (0x38)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_bcc=35
[2010/06/16 23:55:30, 10] ../lib/util/util.c:304(_dump_data)
  [0000] 00 00 00 00 00 00 00 00   00 7C 2E BE 09 10 00 00   ........ .|.�....
  [0010] 00 00 00 62 00 61 00 75   00 6B 00 75 00 6E 00 73   ...b.a.u .k.u.n.s
  [0020] 00 74 00                                          .t. 
[2010/06/16 23:55:30,  4] smbd/trans2.c:3132(call_trans2qfsinfo)
  SMBtrans2 info_level = 258
[2010/06/16 23:55:30, 10] lib/util_sock.c:789(read_smb_length_return_keepalive)
  got smb length of 70
[2010/06/16 23:55:30,  6] smbd/process.c:1456(process_smb)
  got message type 0x0 of len 0x46
[2010/06/16 23:55:30,  3] smbd/process.c:1459(process_smb)
  Transaction 2650 of length 74 (0 toread)
[2010/06/16 23:55:30,  5] lib/util.c:632(show_msg)
[2010/06/16 23:55:30,  5] lib/util.c:642(show_msg)
  size=70
  smb_com=0x32
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=51207
  smb_tid=2
  smb_pid=3964
  smb_uid=100
  smb_mid=60288
  smt_wct=15
  smb_vwv[ 0]=    2 (0x2)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=  560 (0x230)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=    0 (0x0)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    2 (0x2)
  smb_vwv[10]=   68 (0x44)
  smb_vwv[11]=    0 (0x0)
  smb_vwv[12]=    0 (0x0)
  smb_vwv[13]=    1 (0x1)
  smb_vwv[14]=    3 (0x3)
  smb_bcc=5
[2010/06/16 23:55:30, 10] ../lib/util/util.c:304(_dump_data)
  [0000] 00 00 00 05 01                                    ..... 
[2010/06/16 23:55:30,  3] smbd/process.c:1273(switch_message)
  switch message SMBtrans2 (pid 12985) conn 0xb8913c88
[2010/06/16 23:55:30,  4] smbd/uid.c:256(change_to_user)
  change_to_user: Skipping user change - already user
[2010/06/16 23:55:30,  3] smbd/trans2.c:2600(call_trans2qfsinfo)
  call_trans2qfsinfo: level = 261
[2010/06/16 23:55:30,  9] smbd/trans2.c:820(send_trans2_replies)
  t2_rep: params_sent_thistime = 0, data_sent_thistime = 20, useable_space = 131012
[2010/06/16 23:55:30,  9] smbd/trans2.c:822(send_trans2_replies)
  t2_rep: params_to_send = 0, data_to_send = 20, paramsize = 0, datasize = 20
[2010/06/16 23:55:30,  5] lib/util.c:632(show_msg)
[2010/06/16 23:55:30,  5] lib/util.c:642(show_msg)
  size=76
  smb_com=0x32
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=51201
  smb_tid=2
  smb_pid=3964
  smb_uid=100
  smb_mid=60288
  smt_wct=10
  smb_vwv[ 0]=    0 (0x0)
  smb_vwv[ 1]=   20 (0x14)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    0 (0x0)
  smb_vwv[ 4]=   56 (0x38)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=   20 (0x14)
  smb_vwv[ 7]=   56 (0x38)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_bcc=21
[2010/06/16 23:55:30, 10] ../lib/util/util.c:304(_dump_data)
  [0000] 00 2F 00 01 00 FF 00 00   00 08 00 00 00 4E 00 54   ./...�.. .....N.T
  [0010] 00 46 00 53 00                                    .F.S. 
[2010/06/16 23:55:30,  4] smbd/trans2.c:3132(call_trans2qfsinfo)
  SMBtrans2 info_level = 261
[2010/06/16 23:55:30, 10] lib/util_sock.c:789(read_smb_length_return_keepalive)
  got smb length of 70
[2010/06/16 23:55:30,  6] smbd/process.c:1456(process_smb)
  got message type 0x0 of len 0x46
[2010/06/16 23:55:30,  3] smbd/process.c:1459(process_smb)
  Transaction 2651 of length 74 (0 toread)
[2010/06/16 23:55:30,  5] lib/util.c:632(show_msg)
[2010/06/16 23:55:30,  5] lib/util.c:642(show_msg)
  size=70
  smb_com=0x32
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=51207
  smb_tid=2
  smb_pid=3964
  smb_uid=100
  smb_mid=60352
  smt_wct=15
  smb_vwv[ 0]=    2 (0x2)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=  560 (0x230)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=    0 (0x0)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    2 (0x2)
  smb_vwv[10]=   68 (0x44)
  smb_vwv[11]=    0 (0x0)
  smb_vwv[12]=    0 (0x0)
  smb_vwv[13]=    1 (0x1)
  smb_vwv[14]=    3 (0x3)
  smb_bcc=5
[2010/06/16 23:55:30, 10] ../lib/util/util.c:304(_dump_data)
  [0000] 00 00 00 05 01                                    ..... 
[2010/06/16 23:55:30,  3] smbd/process.c:1273(switch_message)
  switch message SMBtrans2 (pid 12985) conn 0xb8913c88
[2010/06/16 23:55:30,  4] smbd/uid.c:256(change_to_user)
  change_to_user: Skipping user change - already user
[2010/06/16 23:55:30,  3] smbd/trans2.c:2600(call_trans2qfsinfo)
  call_trans2qfsinfo: level = 261
[2010/06/16 23:55:30,  9] smbd/trans2.c:820(send_trans2_replies)
  t2_rep: params_sent_thistime = 0, data_sent_thistime = 20, useable_space = 131012
[2010/06/16 23:55:30,  9] smbd/trans2.c:822(send_trans2_replies)
  t2_rep: params_to_send = 0, data_to_send = 20, paramsize = 0, datasize = 20
[2010/06/16 23:55:30,  5] lib/util.c:632(show_msg)
[2010/06/16 23:55:30,  5] lib/util.c:642(show_msg)
  size=76
  smb_com=0x32
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=51201
  smb_tid=2
  smb_pid=3964
  smb_uid=100
  smb_mid=60352
  smt_wct=10
  smb_vwv[ 0]=    0 (0x0)
  smb_vwv[ 1]=   20 (0x14)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    0 (0x0)
  smb_vwv[ 4]=   56 (0x38)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=   20 (0x14)
  smb_vwv[ 7]=   56 (0x38)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_bcc=21
[2010/06/16 23:55:30, 10] ../lib/util/util.c:304(_dump_data)
  [0000] 00 2F 00 01 00 FF 00 00   00 08 00 00 00 4E 00 54   ./...�.. .....N.T
  [0010] 00 46 00 53 00                                    .F.S. 
[2010/06/16 23:55:30,  4] smbd/trans2.c:3132(call_trans2qfsinfo)
  SMBtrans2 info_level = 261
Comment 2 Dmitry Butskoy 2010-07-05 10:35:40 UTC
Some similar issue with me, with "not owner, but full group access":

Consider a file:

-rw-rw-r-- 1 owner group 1234 Feb 27  2009 filename.csv

and a user "foo" who is a member of the group "group".

The user "foo" edit it remotely from WinXP, using FAR (F4). After the first write access to the file, smbstatus still shows that file is locked. And all the subsequent attempts to open file again are failed with "sharing violation" on 3.4 and "invalid handle" (?) on 3.5

When an owner of the file doing the same, all is OK.

IOW it is some another issue, related to the case where user is not owner of a file, but should have all acces to it because he is a member of a group which have full access to the file.

Perhaps a piece of code which prevents a file to be deleted, prevents a locking to be deleted as well...
Comment 3 Christof Musik 2010-09-13 06:54:43 UTC
I've had a similar problem. In my configuration was an error that resolved wrong SIDs (look for S-1-5-32-544 in the log). I had in my globals the option "profile acls" set to yes. It somehow worked with older versions, but not in the new. Maybe this also applies here.


Comment 4 Dmitry Butskoy 2010-12-20 10:13:20 UTC
Does something changed during this time, or some new ideas how to fix it or how to test something else?

IOW, whether it is useable to try to test the latest 3.4.9 or 3.5.6 on production servers now?

(for the previous comment: it iseems "profile acls" does not affect it...)
Comment 5 Dmitry Butskoy 2010-12-29 09:13:00 UTC
Actually my case (comment #2) is a bug #7892 .

If you have "dos filemode = yes", it might be the same issue, otherwise it looks like in comment #3
Comment 6 Lars Hummert 2011-02-04 05:05:19 UTC
It seems like we are facing the same problems here with 3.4.7 as well as 3.5.4 and 3.5.6.

On a Windows 2003 Server and Windows XP the situation is as described above: A user can create and change a file in a folder where he only has group permissions but not delete or rename it. As soon as he owns the parent folder everything works.

On Windows Server 2008 R2 and Windows 7 he can't even access folders he only has group permissions to. Groups seem to be resolved correctly on samba side according to the log file but in windows the group is always set to DOMAIN\Users even if we delete the group mapping so that this group shouldn't exist in Windows anymore.

All this happens in a Samba PDC setup. Is there anything happening to this issue? It actually renders samba useless for us at the moment.
Comment 7 Dmitry Butskoy 2011-02-04 06:05:45 UTC
If you use "dos filemode = yes", it might be the same problem as in bug #7892
Comment 8 Lars Hummert 2011-02-04 08:45:16 UTC
Although I thought I tried that before: with 'profile acls' set to 'no' it works now.

Cheers,

Lars
Comment 9 Björn Jacke 2012-05-11 13:27:40 UTC
enable profile acls only on profile shares, anything else is not supported.

*** This bug has been marked as a duplicate of bug 1861 ***
Comment 10 pille 2012-06-19 11:13:36 UTC
(In reply to comment #9)
> enable profile acls only on profile shares, anything else is not supported.
> 
> *** This bug has been marked as a duplicate of bug 1861 ***

We have the same "problem" on our systems.

**********************************************
This is definetly not a duplicate of bug 1861.
**********************************************

It has nothing to do with profile shares as you can read in the description of Marc.

Additionally I can say that in his example user "jutta" (who cannot access directory "Schriftarten"!!!)  can copy/move "List.doc" into that directory!!!

BUT: this only happens on Windows 7 (maybe w2k8 also) and NOT on Windows XP (SP3) machines.